> ## Documentation Index
> Fetch the complete documentation index at: https://crossmint-devin-1787949784-wallet-docs-two-concept-model.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get IP Asset License

> Get the licenses of an IP Asset

The ipassetId parameter should be the Story Protocol asset ID (not the Crossmint ID). Must start with '0x' followed by hexadecimal characters.

**API scope required**: `nfts.read`

<Warning>This API is still under development. Contact support for early access.</Warning>{" "}


## OpenAPI

````yaml get /v1/ip/licenses/{ipassetId}
openapi: 3.0.0
info:
  contact:
    email: support@crossmint.com
    name: Crossmint Support
    url: https://www.crossmint.com
  description: Crossmint Story API
  title: Crossmint Story API
  version: 1.0.0
servers:
  - description: Staging environment (testnets)
    url: https://staging.crossmint.com/api
security: []
tags: []
paths:
  /v1/ip/licenses/{ipassetId}:
    get:
      tags:
        - IP Story Protocol
      summary: Get IP Asset Licenses
      description: >-
        Get the licenses of an IP Asset


        The ipassetId parameter should be the Story Protocol asset ID (not the
        Crossmint ID). Must start with '0x' followed by hexadecimal characters.


        **API scope required**: `nfts.read`
      operationId: StoryApiController-getIpaLicenses-4
      parameters:
        - description: API key required for authentication
          in: header
          name: X-API-KEY
          required: true
          schema:
            type: string
        - in: path
          name: ipassetId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AugmentedZodDto'
          description: IP Asset License found
components:
  schemas:
    AugmentedZodDto:
      description: >-
        Specific terms for a Story Protocol PIL (Programmable IP License).
        Default is the `Non-Commercial Social Remixing` license. More details
        here: https://docs.story.foundation/docs/pil-terms
      example:
        disabled: false
        id: '155'
        terms:
          commercialAttribution: true
          commercialRevCeiling: 0
          commercialRevShare: 10000000
          commercialUse: true
          commercializerChecker: '0x0000000000000000000000000000000000000000'
          commercializerCheckerData: '0x0000000000000000000000000000000000000000'
          currency: '0x1234567890123456789012345678901234567890'
          defaultMintingFee: 100
          derivativeRevCeiling: 0
          derivativesAllowed: true
          derivativesApproval: false
          derivativesAttribution: true
          derivativesReciprocal: true
          expiration: 0
          royaltyPolicy: '0x1234567890123456789012345678901234567890'
          transferable: true
          uri: Will contain a reference to the license terms metadata
      items:
        description: Response schema for PIL terms
        example:
          disabled: false
          id: '155'
          terms:
            commercialAttribution: true
            commercialRevCeiling: 0
            commercialRevShare: 10000000
            commercialUse: true
            commercializerChecker: '0x0000000000000000000000000000000000000000'
            commercializerCheckerData: '0x0000000000000000000000000000000000000000'
            currency: '0x1234567890123456789012345678901234567890'
            defaultMintingFee: 100
            derivativeRevCeiling: 0
            derivativesAllowed: true
            derivativesApproval: false
            derivativesAttribution: true
            derivativesReciprocal: true
            expiration: 0
            royaltyPolicy: '0x1234567890123456789012345678901234567890'
            transferable: true
            uri: Will contain a reference to the license terms metadata
        properties:
          disabled:
            default: false
            description: >-
              If true, the license terms will be disabled. Effectively
              preventing future mints with this license.
            example: false
            type: boolean
          id:
            description: The License Terms ID
            example: '1'
            type: string
          terms:
            description: The PIL terms details as per retrieved from story
            example:
              commercialAttribution: true
              commercialRevCeiling: 0
              commercialRevShare: 10000000
              commercialUse: true
              commercializerChecker: '0x0000000000000000000000000000000000000000'
              commercializerCheckerData: '0x0000000000000000000000000000000000000000'
              currency: '0x1234567890123456789012345678901234567890'
              defaultMintingFee: 100
              derivativeRevCeiling: 0
              derivativesAllowed: true
              derivativesApproval: false
              derivativesAttribution: true
              derivativesReciprocal: true
              expiration: 0
              royaltyPolicy: '0x1234567890123456789012345678901234567890'
              transferable: true
              uri: Will contain a reference to the license terms metadata
            properties:
              commercialAttribution:
                description: >-
                  If true, people must give credit to the original work in their
                  commercial application
                type: boolean
              commercialRevCeiling:
                description: >-
                  Maximum revenue that can be earned from the original work if
                  commercialUse is true
                type: number
              commercialRevShare:
                description: >-
                  Amount of revenue (from any source, original & derivative)
                  that must be shared with the licensor (a value of 10,000,000
                  == 10% of revenue share).
                maximum: 100000000
                minimum: 0
                type: number
              commercialUse:
                description: >-
                  Determines if the licensee can make money from using the
                  original IP Asset
                type: boolean
              commercializerChecker:
                description: >-
                  Commercializers that are allowed to commercially exploit the
                  original work. If zero address, then no restrictions are
                  enforced.
                type: string
              commercializerCheckerData:
                description: The data to be passed to the commercializer checker contract.
                type: string
              currency:
                description: The ERC20 token address to be used to pay the minting fee
                type: string
              defaultMintingFee:
                description: The fee to be paid when minting a license
                type: number
              derivativeRevCeiling:
                description: >-
                  Maximum revenue that can be earned from derivative works if
                  commercialUse is true
                type: number
              derivativesAllowed:
                description: >-
                  Indicates whether the licensee can create derivatives of the
                  work
                type: boolean
              derivativesApproval:
                description: If true, the licensor must approve derivatives of the work
                type: boolean
              derivativesAttribution:
                description: If true, derivatives must give credit to the original work
                type: boolean
              derivativesReciprocal:
                description: If true, derivatives must have the exact same terms
                type: boolean
              expiration:
                description: The expiration period of the license
                type: number
              royaltyPolicy:
                description: The address of the royalty policy contract
                type: string
              transferable:
                description: >-
                  If false, the License Token cannot be transferred once it is
                  minted to a recipient address
                type: boolean
              uri:
                description: >-
                  URI containing additional license terms, will be overridden by
                  the license terms in the metadata
                type: string
            required:
              - commercialAttribution
              - commercialRevCeiling
              - commercialRevShare
              - commercialUse
              - commercializerChecker
              - commercializerCheckerData
              - currency
              - defaultMintingFee
              - derivativeRevCeiling
              - derivativesAllowed
              - derivativesApproval
              - derivativesAttribution
              - derivativesReciprocal
              - expiration
              - royaltyPolicy
              - transferable
              - uri
            type: object
        required:
          - id
          - terms
        type: object
      type: array

````